> ## Documentation Index
> Fetch the complete documentation index at: https://docs.request.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get currencies

> Get a list of all available tokens, or filter by network, symbol, or id.



## OpenAPI

````yaml /api-reference/openapi.v2.json get /v2/currencies
openapi: 3.0.0
info:
  title: Request Network API
  description: API for easily creating and paying Requests with Request Network.
  version: 0.13.0
  contact: {}
servers:
  - url: https://api.request.network
    description: Production server
  - url: https://api.stage.request.network
    description: Staging server
  - url: http://127.0.0.1:8080
    description: Local development server
security: []
tags:
  - name: V2/Request
    description: Core payment request operations (V2)
  - name: V2/Payments
    description: Payment search and management operations (V2)
  - name: V2/Payouts
    description: Pay a request without creating one first (V2)
  - name: V2/Payer
    description: Crypto-to-fiat payer management operations (V2)
  - name: V2/Currencies
    description: Currency operations (V2)
  - name: V2/Client IDs
    description: Client ID management (V2)
  - name: V2/Payee Destination
    description: Payee destination management (V2)
externalDocs:
  description: Request Network Docs
  url: https://docs.request.network/request-network-api
paths:
  /v2/currencies:
    get:
      tags:
        - Currencies
        - V2/Currencies
      summary: Get currencies
      description: Get a list of all available tokens, or filter by network, symbol, or id.
      operationId: CurrenciesV2Controller_getNetworkTokens_v2
      parameters:
        - name: x-api-key
          in: header
          description: API key for authentication (optional if using Client ID)
          required: false
          schema:
            type: string
        - name: x-client-id
          in: header
          description: Client ID for frontend authentication (optional if using API key)
          required: false
          schema:
            type: string
        - name: Origin
          in: header
          description: >-
            Origin header (required for Client ID auth, automatically set by
            browser)
          required: false
          schema:
            type: string
        - name: network
          required: false
          in: query
          description: The network of the token(s)
          schema:
            example: mainnet
            type: string
        - name: symbol
          required: false
          in: query
          description: The symbol of the token
          schema:
            example: USDC
            type: string
        - name: firstOnly
          required: false
          in: query
          description: >-
            Whether to return only the first token. can only be used when both
            `network` and `symbol` are provided.
          schema:
            example: true
            type: string
        - name: id
          required: false
          in: query
          description: The Request Network id of the token
          schema:
            example: USDC-mainnet
            type: string
      responses:
        '200':
          description: List of tokens retrieved successfully
          content:
            application/json:
              examples:
                all:
                  summary: All tokens
                  value:
                    - id: USDC-mainnet
                      name: USD Coin
                      symbol: USDC
                      decimals: 6
                      address: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                      network: mainnet
                      type: ERC20
                      hash: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                      chainId: 1
                    - id: USDT-mainnet
                      name: Tether USD
                      symbol: USDT
                      decimals: 6
                      address: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
                      network: mainnet
                      type: ERC20
                      hash: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
                      chainId: 1
                byNetwork:
                  summary: Tokens on mainnet
                  value:
                    - id: USDC-mainnet
                      name: USD Coin
                      symbol: USDC
                      decimals: 6
                      address: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                      network: mainnet
                      type: ERC20
                      hash: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                      chainId: 1
                bySymbolAndNetwork:
                  summary: USDC on mainnet
                  value:
                    - id: USDC-mainnet
                      name: USD Coin
                      symbol: USDC
                      decimals: 6
                      address: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                      network: mainnet
                      type: ERC20
                      hash: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                      chainId: 1
                firstOnly:
                  summary: First match only
                  value:
                    id: USDC-mainnet
                    name: USD Coin
                    symbol: USDC
                    decimals: 6
                    address: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                    network: mainnet
                    type: ERC20
                    hash: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                    chainId: 1
                byId:
                  summary: By ID
                  value:
                    id: USDC-mainnet
                    name: USD Coin
                    symbol: USDC
                    decimals: 6
                    address: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                    network: mainnet
                    type: ERC20
                    hash: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                    chainId: 1
        '400':
          description: Validation failed
          content:
            application/json:
              examples:
                invalidFirstOnly:
                  summary: Invalid firstOnly value
                  value:
                    statusCode: 400
                    message:
                      - code: custom
                        message: firstOnly must be 'true' or 'false' if provided
                        path:
                          - firstOnly
                    error: Bad Request
        '404':
          description: Token not found
          content:
            application/json:
              examples:
                notFound:
                  summary: Token not found
                  value:
                    statusCode: 404
                    message: Token not found
                    error: Not Found
        '429':
          description: Too Many Requests

````